commit:     3465919f24d2544bed226c009372d45b558aa9b1
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 24 12:28:28 2016 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sun Jan 24 12:37:25 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3465919f

virtual/perl-Unicode-Normalize: Add virtual

Package-Manager: portage-2.2.27

 virtual/perl-Unicode-Normalize/metadata.xml         |  5 +++++
 .../perl-Unicode-Normalize-1.170.0.ebuild           | 21 +++++++++++++++++++++
 .../perl-Unicode-Normalize-1.180.0.ebuild           | 21 +++++++++++++++++++++
 .../perl-Unicode-Normalize-1.250.0.ebuild           | 19 +++++++++++++++++++
 4 files changed, 66 insertions(+)

diff --git a/virtual/perl-Unicode-Normalize/metadata.xml 
b/virtual/perl-Unicode-Normalize/metadata.xml
new file mode 100644
index 0000000..36ee0f0
--- /dev/null
+++ b/virtual/perl-Unicode-Normalize/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <herd>perl</herd>
+</pkgmetadata>

diff --git 
a/virtual/perl-Unicode-Normalize/perl-Unicode-Normalize-1.170.0.ebuild 
b/virtual/perl-Unicode-Normalize/perl-Unicode-Normalize-1.170.0.ebuild
new file mode 100644
index 0000000..d5aaaed
--- /dev/null
+++ b/virtual/perl-Unicode-Normalize/perl-Unicode-Normalize-1.170.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Virtual for ${PN#perl-}"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc 
x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux 
~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE=""
+
+DEPEND=""
+RDEPEND="
+       || ( =dev-lang/perl-5.20* ~perl-core/${PN#perl-}-${PV} )
+       !<perl-core/${PN#perl-}-${PV}
+       !>perl-core/${PN#perl-}-${PV}-r999
+"

diff --git 
a/virtual/perl-Unicode-Normalize/perl-Unicode-Normalize-1.180.0.ebuild 
b/virtual/perl-Unicode-Normalize/perl-Unicode-Normalize-1.180.0.ebuild
new file mode 100644
index 0000000..68bc345
--- /dev/null
+++ b/virtual/perl-Unicode-Normalize/perl-Unicode-Normalize-1.180.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Virtual for ${PN#perl-}"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~amd64-fbsd ~amd64-linux ~arm ~arm64 ~hppa ~hppa-hpux 
~ia64 ~ia64-hpux ~ia64-linux ~m68k ~m68k-mint ~mips ~ppc ~ppc64 ~ppc-aix 
~ppc-macos ~s390 ~sh ~sparc ~sparc64-solaris ~sparc-solaris ~x64-freebsd 
~x64-macos ~x64-solaris ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~x86-linux 
~x86-macos ~x86-solaris"
+IUSE=""
+
+DEPEND=""
+RDEPEND="
+       || ( =dev-lang/perl-5.22* ~perl-core/${PN#perl-}-${PV} )
+       !<perl-core/${PN#perl-}-${PV}
+       !>perl-core/${PN#perl-}-${PV}-r999
+"

diff --git 
a/virtual/perl-Unicode-Normalize/perl-Unicode-Normalize-1.250.0.ebuild 
b/virtual/perl-Unicode-Normalize/perl-Unicode-Normalize-1.250.0.ebuild
new file mode 100644
index 0000000..2b6d253
--- /dev/null
+++ b/virtual/perl-Unicode-Normalize/perl-Unicode-Normalize-1.250.0.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Virtual for ${PN#perl-}"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="
+       ~perl-core/${PN#perl-}-${PV}
+"

Reply via email to